Skip to main content
PATCH
/
cdr
/
v1
/
doctor
/
{doc_id}
Update Doctor
curl --request PATCH \
  --url https://api.eka.care/cdr/v1/doctor/{doc_id}/ \
  --header 'Content-Type: application/json' \
  --header 'auth: <auth>' \
  --data '
{
  "about": "Updated bio for the doctor",
  "specialisations": [
    "Cardiology"
  ],
  "clinic_ids": [
    "c-ab2c-34f2d-2gwd-2g2g"
  ]
}
'
{
  "status": "success",
  "ekaid": "do1769174683513"
}

Documentation Index

Fetch the complete documentation index at: https://ekacare-mintlify-changelog-may2-april-monthly-1777856908.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

auth
string
required

The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.

Example:

"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"

Path Parameters

doc_id
string
required

Doctor's Eka ID

Example:

"do1769174683513"

Body

application/json

Fields to update on the doctor profile. All fields are optional.

firstname
string
Example:

"Rajesh"

lastname
string
Example:

"Sharma"

mobile
string
Example:

"0000011111"

email
string<email>
Example:

"dr.rajesh@example.com"

gender
enum<string>
Available options:
M,
F,
O
Example:

"M"

dob
string
Example:

"1999-01-01"

specialisations
string[]
Example:
["Cardiology"]
qualifications
string[]
Example:
["MBBS", "MD"]
about
string
Example:

"Updated bio"

profile_image_url
string<uri>
Example:

"https://example.com/images/dr-rajesh.jpg"

clinic_ids
string[]

Add these Eka clinic IDs to the doctor's existing clinic associations

Example:
["c-ab2c-34f2d-2gwd-2g2g"]
partner_clinic_ids
string[]

Add clinics matching these partner IDs to the doctor's existing clinic associations

Example:
["Part_clinic_1"]
partner_id
string
Example:

"Part_doc"

Response

OK - Doctor updated successfully

status
string
Example:

"success"

ekaid
string
Example:

"do1769174683513"